org.icefaces.ace.model.table

## Class ColumnGroupModel.TreeIterator

- java.lang.Object
- - org.icefaces.ace.model.table.ColumnGroupModel.TreeIterator

- Enclosing class:
    ColumnGroupModel

      public class ColumnGroupModel.TreeIterator
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.icefaces.ace.model.table.ColumnGroupModel.Cell` | `cell()`
    `ColumnGroup` | `columnGroup()`
    `java.util.List<Column>` | `columns()`
    `boolean` | `empty()`
    `boolean` | `firstChild(boolean moveToIt)`
    `ColumnGroupModel` | `getColumnGroupModel()`
    `int` | `getUnsortedIndex()`
    `boolean` | `nextPeer(boolean sameParent, boolean moveToIt)`
    `boolean` | `nextRendered(boolean moveToIt)`
    `boolean` | `nextRow(boolean firstStartingColumn, boolean moveToIt)`
    `boolean` | `parent(boolean moveToIt)`
    `Row` | `row()`
    `int` | `rowIndex()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getColumnGroupModel

          public ColumnGroupModel getColumnGroupModel()

    - #### empty

          public boolean empty()

    - #### columnGroup

          public ColumnGroup columnGroup()

    - #### row

          public Row row()

    - #### columns

          public java.util.List<Column> columns()

    - #### cell

          protected org.icefaces.ace.model.table.ColumnGroupModel.Cell cell()

    - #### nextPeer

          public boolean nextPeer(boolean sameParent,
                                  boolean moveToIt)

    - #### nextRow

          public boolean nextRow(boolean firstStartingColumn,
                                 boolean moveToIt)

    - #### nextRendered

          public boolean nextRendered(boolean moveToIt)

    - #### firstChild

          public boolean firstChild(boolean moveToIt)

    - #### parent

          public boolean parent(boolean moveToIt)

    - #### getUnsortedIndex

          public int getUnsortedIndex()

    - #### rowIndex

          public int rowIndex()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.